# Retrieve task details

Lists information about a specific task.

Endpoint: GET /api/v2/cm/branches/{branchId}/tasks/{taskId}
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example prod.

  - `taskId` (string, required)
    The unique identifier of the task details.

## Response 200 fields (application/json):

  - `id` (string,null, required)

  - `name` (string,null, required)

  - `options` (object, required)

  - `options.variables` (object,null)

  - `system` (object, required)

  - `system.createdAt` (string, required)

  - `system.createdBy` (string,null, required)

  - `system.hash` (string,null, required)

  - `system.type` (string,null, required)

  - `system.status` (object)

  - `system.status.state` (string)
    Enum: "Created", "Pending", "InProgress", "Completed", "Failed", "Stopped", "Waiting"

  - `system.status.description` (string,null)

  - `system.updatedAt` (string,null)

  - `system.updatedBy` (string,null)

  - `worksetId` (string,null, required)

  - `taskTypeId` (string,null, required)

  - `statistics` (object)

  - `statistics.total` (integer)

  - `statistics.processed` (integer)

  - `statistics.succeeded` (integer)

  - `statistics.ignored` (integer)

  - `statistics.failed` (integer)

  - `messageLog` (array,null)

  - `messageLog.id` (string,null, required)

  - `messageLog.type` (string, required)
    Enum: "ContentItem", "ContentType", "Taxonomy"

  - `messageLog.version` (integer,null)

  - `messageLog.locale` (string,null)

  - `messageLog.logTime` (string)

  - `messageLog.message` (string,null)

  - `description` (string,null)

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 401 fields

## Response 403 fields

## Response 500 fields
